import { Entity, Segment } from '@musical-patterns/material';
import { Cardinal, Cycle, Ordinal, Rational, Scalar } from '@musical-patterns/utilities';
import { PieceLength } from '../../../types';
declare const computeSegmentPieceLengths: (parameters: {
    coreIntervals: Cycle<Rational>;
    entityCount: Cardinal<Entity[]>;
    segmentIndex: Ordinal<Segment[]>;
    segmentValueIndices: Array<Ordinal<Scalar[]>>;
}) => PieceLength[];
export { computeSegmentPieceLengths, };
