import { PitchValue } from '@musical-patterns/material';
import { ContourPiece, Scalar } from '@musical-patterns/utilities';
import { Repetitions } from '../nominals';
import { PieceLength } from '../types';
declare const computePolyrhythmicPiece: (computePieceParameters: {
    notesValue: Scalar;
    pieceLength: PieceLength;
    repetitions: Repetitions;
}) => ContourPiece<PitchValue>;
declare const computeSmoothPiece: (computePieceParameters: {
    notesValue: Scalar;
    pieceLength: PieceLength;
    repetitions: Repetitions;
}) => ContourPiece<PitchValue>;
export { computePolyrhythmicPiece, computeSmoothPiece, };
