import { Entity } from '@musical-patterns/material';
import { Cardinal, Duration, Pitch, Scalar, Value } from '@musical-patterns/utilities';
import { ApplySmoothVariables } from './types';
declare const handleMatchOrNoMatch: (parameters: {
    delayScalar: Scalar<Duration>;
    entityCount: Cardinal<Entity[]>;
    pitch: Scalar<Pitch>;
    pitchMatchCount: Cardinal;
    pitchToMatch: Scalar<Pitch>;
    smoothNoteTotalValueScalar: Scalar<Value>;
    value: Scalar<Value>;
}) => ApplySmoothVariables;
export { handleMatchOrNoMatch, };
