import { Cardinal, Maybe } from '@musical-patterns/utilities';
declare type Core = Number & {
    _NominalBrand: 'Core';
};
declare type Repetition = Number & {
    _NominalBrand: 'Repetition';
};
declare const beatenPathAs: import("@musical-patterns/utilities/dist/nominal/custom").CustomAs<{
    number: {
        Core: Core;
        Repetition: Repetition;
    };
}>;
declare type Repetitions = Maybe<Cardinal<Repetition[]>>;
export { beatenPathAs, Core, Repetition, Repetitions, };
