import { Entity } from '@musical-patterns/material';
import { Cardinal, Duration, Tone } from '@musical-patterns/utilities';
import { Core, Repetitions } from '../nominals';
import { BeatenPathStyle } from './types';
declare const BEATEN_PATH_INITIAL_CORE: Core;
declare const BEATEN_PATH_INITIAL_HZ_PHYSICALIZATION: Tone;
declare const BEATEN_PATH_INITIAL_REVERSE: boolean;
declare const BEATEN_PATH_INITIAL_STYLE: BeatenPathStyle;
declare const BEATEN_PATH_INITIAL_ENTITY_COUNT: Cardinal<Entity[]>;
declare const BEATEN_PATH_MINIMUM_FUNCTIONAL_CORE: Core;
declare const PRESET_BALANCED_MS_PHYSICALIZATION: Duration;
declare const PRESET_BALANCED_CORE: Core;
declare const PRESET_BALANCED_ENTITY_COUNT: Cardinal<Entity[]>;
declare const PRESET_DENSE_MS_PHYSICALIZATION: Duration;
declare const PRESET_DENSE_CORE: Core;
declare const PRESET_DENSE_HZ_PHYSICALIZATION: Tone;
declare const PRESET_DENSE_ENTITY_COUNT: Cardinal<Entity[]>;
declare const PRESET_DENSE_REPETITIONS: Repetitions;
declare const PRESET_PRIMAL_MS_PHYSICALIZATION: Duration;
declare const PRESET_PRIMAL_HZ_PHYSICALIZATION: Tone;
declare const PRESET_PRIMAL_CORE: Core;
declare const PRESET_PRIMAL_ENTITY_COUNT: Cardinal<Entity[]>;
declare const PRESET_ROUND_MS_PHYSICALIZATION: Duration;
declare const PRESET_ROUND_HZ_PHYSICALIZATION: Tone;
declare const PRESET_ROUND_CORE: Core;
declare const PRESET_ROUND_ENTITY_COUNT: Cardinal<Entity[]>;
declare const PRESET_ISOLATE_MS_PHYSICALIZATION: Duration;
declare const PRESET_ISOLATE_ENTITY_COUNT: Cardinal<Entity[]>;
declare const PRESET_ISOLATE_CORE: Core;
export { BEATEN_PATH_INITIAL_CORE, BEATEN_PATH_INITIAL_HZ_PHYSICALIZATION, BEATEN_PATH_INITIAL_REVERSE, BEATEN_PATH_INITIAL_STYLE, BEATEN_PATH_INITIAL_ENTITY_COUNT, BEATEN_PATH_MINIMUM_FUNCTIONAL_CORE, PRESET_BALANCED_MS_PHYSICALIZATION, PRESET_BALANCED_CORE, PRESET_BALANCED_ENTITY_COUNT, PRESET_DENSE_MS_PHYSICALIZATION, PRESET_DENSE_CORE, PRESET_DENSE_HZ_PHYSICALIZATION, PRESET_DENSE_ENTITY_COUNT, PRESET_DENSE_REPETITIONS, PRESET_PRIMAL_MS_PHYSICALIZATION, PRESET_PRIMAL_HZ_PHYSICALIZATION, PRESET_PRIMAL_CORE, PRESET_PRIMAL_ENTITY_COUNT, PRESET_ROUND_MS_PHYSICALIZATION, PRESET_ROUND_HZ_PHYSICALIZATION, PRESET_ROUND_CORE, PRESET_ROUND_ENTITY_COUNT, PRESET_ISOLATE_MS_PHYSICALIZATION, PRESET_ISOLATE_CORE, PRESET_ISOLATE_ENTITY_COUNT, };
